libglom-1.24: GlomBakery::View< T_Document > Class Template Reference

libglom-1.24 1.24.2

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
GlomBakery::View< T_Document > Class Template Reference

This is a base class which should be multiple-inherited with gtkmm widgets. More...

Inheritance diagram for GlomBakery::View< T_Document >:
[legend]
Collaboration diagram for GlomBakery::View< T_Document >:
[legend]

## Public Types
typedef View< T_Document > | type_self

## Public Member Functions
| View ()
virtual | ~View ()
virtual T_Document* | get_document ()
virtual const T_Document* | get_document () const
virtual void | set_document (T_Document* pDocument)
virtual void | set_modified (bool val=true)
| Just a convenience, instead of get_docuement()->set_modified(). More...
Public Member Functions inherited from GlomBakery::ViewBase
| ViewBase ()
virtual | ~ViewBase ()
virtual void | load_from_document ()
virtual void | save_to_document ()
virtual void | clipboard_copy ()
virtual void | clipboard_paste ()
virtual void | clipboard_clear ()

## Protected Member Functions
void | on_document_forget ()

## Protected Attributes
T_Document* | m_pDocument

## Detailed Description

### template<class T_Document>
class GlomBakery::View< T_Document >

This is a base class which should be multiple-inherited with gtkmm widgets.

You should override save_to_document() and load_from_document().

## Member Typedef Documentation

template <class T_Document >

typedef View<T_Document> GlomBakery::View< T_Document >::type_self

## Constructor & Destructor Documentation

template <class T_Document >

GlomBakery::View< T_Document >::View | ( | ) |  |
| inline

template <class T_Document >

virtual GlomBakery::View< T_Document >::~View | ( | ) |  |
| inlinevirtual

## Member Function Documentation

template <class T_Document >

virtual T_Document* GlomBakery::View< T_Document >::get_document | ( | ) |  |
| inlinevirtual

template <class T_Document >

virtual const T_Document* GlomBakery::View< T_Document >::get_document | ( | ) |  | const
| inlinevirtual

template <class T_Document >

void GlomBakery::View< T_Document >::on_document_forget | ( | ) |  |
| inlineprotected

template <class T_Document >

virtual void GlomBakery::View< T_Document >::set_document | ( | T_Document * | pDocument) |  |
| inlinevirtual

Reimplemented in GlomBakery::View_Composite< T_Document >.

template <class T_Document >

virtual void GlomBakery::View< T_Document >::set_modified | ( | bool | val = `true`) |  |
| inlinevirtual

Just a convenience, instead of get_docuement()->set_modified().

## Member Data Documentation

template <class T_Document >

T_Document* GlomBakery::View< T_Document >::m_pDocument
| protected

The documentation for this class was generated from the following file:

- libglom/document/bakery/view/view.h